<?php
session_start();
$usuario=$_SESSION['rut'];
include '../../conexion/conn.php';

$folio_planilla = $_REQUEST['folio_planilla'];
$id_norma_detalle = $_REQUEST['id_norma_detalle'];
$tipo_dato = $_REQUEST['tipo_dato'];

$rs = mysql_query("SELECT * FROM norma_detalle WHERE id_norma_detalle='$id_norma_detalle'");
if($row= mysql_fetch_array($rs)){
    $norma_id=$row['norma_id'];
    $id_parametro=$row['id_parametro'];
}

$rs = mysql_query("SELECT planilla_huerto_detalle.observacion, planilla_huerto_detalle.cuartel FROM planilla_huerto_detalle INNER JOIN norma_detalle ON norma_detalle.id_norma_detalle=planilla_huerto_detalle.id_norma_detalle WHERE norma_detalle.norma_id='$norma_id' AND norma_detalle.id_parametro='$id_parametro' AND planilla_huerto_detalle.folio_planilla='$folio_planilla' ORDER BY planilla_huerto_detalle.fecha_crea DESC");
if($row= mysql_fetch_array($rs)){
    $cuartel=$row['cuartel'];
    $observacion=$row['observacion'];
}else{
    $cuartel="";
    $observacion="";
}

echo '
            <form id="ff2" method="post" novalidate enctype="multipart/form-data">
                <div>';

                if($tipo_dato=='NUMERICO MENOR MAYOR'){
                
                echo "<label>VALOR</label>
                    <input type='text' id='valor1_ingresado' name='valor1_ingresado' style='width:100%'>";
                ?>
                <script>
                $('#valor1_ingresado').numberbox({
                    min:-3,
                    precision:1
                });
                 </script>
                <?php 
                }else if($tipo_dato=='SELLADO BOLSA'){
                echo "CANTIDAD BOLSAS MALAS<input type='text' id='valor1_ingresado' name='valor1_ingresado' style='width:100%'><br/>CANTIDAD BOLSAS REVISADAS<input type='text' id='valor2_ingresado' name='valor2_ingresado' style='width:100%'>";
                 ?>
                <script>
                $('#valor1_ingresado').numberbox({
                    min:0,
                    precision:1
                });
                $('#valor2_ingresado').numberbox({
                    min:-3,
                    precision:1
                });
                 </script>
                <?php
            }else if($tipo_dato=='NUMERICO MAYOR MENOR'){
                echo "<label>VALOR</label><input type='text' id='valor1_ingresado' name='valor1_ingresado' style='width:100%'>";
                
                ?>
                <script>
                $('#valor1_ingresado').numberbox({
                    min:-3,
                    precision:1
                });
                 </script>
                <?php
            }else if($tipo_dato=='NUMERICO DOBLE RANGO'){
                echo "<label>VALOR</label><input type='text' id='valor1_ingresado' name='valor1_ingresado' style='width:100%'>";
                
                ?>
                <script>
                $('#valor1_ingresado').numberbox({
                    min:-3,
                    precision:1
                });
                 </script>
                <?php
            }else if($tipo_dato=='FOTO'){
                echo "<label>FOTO</label><input id='valor1_ingresado' name='valor1_ingresado' type='file' accept='image/*' capture='camera'>";
            }else if($tipo_dato=='CHECK SINO'){
               echo "<label>VALOR</label><input id='valor1_ingresado' name='valor1_ingresado' style='width:200px;height:30px'>";
                
                ?>
                <script>
                $('#valor1_ingresado').switchbutton({
                    checked: true,
                    onText: 'SI',
                    offText: 'NO',
                    onChange: function(checked){
                        console.log(checked);
                    }
                });
                 </script>
                <?php
            }else if($tipo_dato=='CHECK BUENO MALO'){
                echo "<label>VALOR</label><input id='valor1_ingresado' name='valor1_ingresado' style='width:200px;height:30px'>";
                
                ?>
                <script>
                $('#valor1_ingresado').switchbutton({
                    checked: true,
                    onText: 'BUENO',
                    offText: 'MALO',
                    onChange: function(checked){
                        console.log(checked);
                    }
                });
                 </script>
                <?php
            }else if($tipo_dato='NUMERICO TEXTO'){
                echo "<label>VALOR</label><input id='valor1_ingresado' name='valor1_ingresado' type='text' style='width:100%'>";
                
                ?>
                <script>
                $('#valor1_ingresado').textbox({
                    
                });
                 </script>
                <?php
            }else if($tipo_dato='TEXTO'){
                echo "<label>VALOR</label><input id='valor1_ingresado' name='valor1_ingresado' type='text' style='width:100%'>";
                
                ?>
                <script>
                $('#valor1_ingresado').textbox({
                    
                });
                 </script>
                <?php
            }else if($tipo_dato='OBSERVACION'){
                echo "<label>VALOR</label><input id='valor1_ingresado' name='valor1_ingresado' type='text' style='width:100%'>";
                
                ?>
                <script>
                $('#valor1_ingresado').textbox({
                    
                });
                 </script>
                <?php
            }
            $rs = mysql_query("SELECT * FROM norma_detalle INNER JOIN defectos ON defectos.defecto_id=norma_detalle.defecto_id WHERE norma_detalle.norma_id='$norma_id' AND norma_detalle.id_parametro='$id_parametro' AND norma_detalle.norma_det_valor_tipo='OBLIGATORIO'");
            while($row= mysql_fetch_array($rs)){
                $tipo_dato_grafico=$row['tipo_dato'];
                if($tipo_dato_grafico=='CUARTEL'){
                    echo "<label>".$row['defecto_nombre']."</label><input id='cuartel' name='cuartel' type='text' value='".$cuartel."' style='width:100%'>";
                    ?>
                    <script>
                    $('#cuartel').textbox({
                        
                    });
                     </script>
                    <?php
                }else if($tipo_dato_grafico=='OBSERVACION'){
                    echo "<label>".$row['defecto_nombre']."</label><input id='observacion' name='observacion' type='text' value='".$observacion."' style='width:100%'>";
                    ?>
                    <script>
                    $('#observacion').textbox({
                        
                    });
                     </script>
                    <?php
                }
            }
                    

                    echo '
                </div>
            </form>
            <div class="dialog-button">
                <a href="javascript:void(0)" class="easyui-linkbutton" style="width:100%;height:35px" onclick="guardarReg2();">Guardar</a>
                 <a href="javascript:void(0)" class="easyui-linkbutton" style="width:100%;height:35px" onclick="$.mobile.back();">Cancelar</a>
            </div>
            ';


    ?>